Service accounts
List service accounts
Scope: serviceaccount:read
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Query Parameters
filter?filter
Filter expression to narrow results. Uses the Admiral filter DSL.
Filterable fields:
issuer_id: service accounts that trust this issuer.agent_id: the service account this agent runs as.
Example: field['issuer_id'] = 'iss-4m8q2x7k1p9c'
Length
length <= 1024page_size?page_size
The page_size query parameter.
Format
int32Range
0 <= value <= 100page_token?page_token
The page_token query parameter.
Response Body
application/json
curl -X GET "https://example.com/v1/service-accounts"{ "service_accounts": [ { "id": "string", "agent_id": "string", "issuer_id": "string", "subject": "string", "enrolled_at": "2023-01-15T01:30:15.01Z", "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z" } ], "next_page_token": "string"}